Skip to content

Retrieve an email setting

Request

Fetches a specific email setting by its unique identifier

Security
bearerAuth
Path
idstringrequired

The unique identifier of the email setting

Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
curl -i -X GET \
  'https://api.intercom.io/emails/{id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.16'

Responses

Successful response

Bodyapplication/json
typestring

The type of object

Example:"email_setting"
idstring

Unique email setting identifier

Example:"10"
emailstring

Full sender email address

Example:"support@company.com"
verifiedboolean

Whether the email address has been verified

Example:true
domainstring

Domain portion of the email address

Example:"company.com"
brand_idstring

Associated brand identifier

Example:"10"
forwarding_enabledboolean

Whether email forwarding is active

Example:true
forwarded_email_last_received_atinteger or null, (date-time)

Unix timestamp of last forwarded email received (null if never)

Example:1710498600
created_atinteger, (date-time)

Unix timestamp of creation

Example:1692530400
updated_atinteger, (date-time)

Unix timestamp of last modification

Example:1710498600
Response
{ "type": "email_setting", "id": "10", "email": "support@company.com", "verified": true, "domain": "company.com", "brand_id": "15", "forwarding_enabled": true, "forwarded_email_last_received_at": 1710498600, "created_at": 1692530400, "updated_at": 1710498600 }